#ifndef	_DLGLST_H
#define	_DLGLST_H

#ifndef	_SBAR_H
#	include	<sbar.h>
#endif
#ifndef	_EVENT_H
#	include	<event.h>
#endif
#ifndef	_MOUSE_H
#	include	<mouse.h>
#endif
#ifndef	_GST_H
#	include	<gst.h>
#endif

typedef	struct	_dlgLstMnu_t
{
	struct	_dlgLstMnu_t	*next;
	char					*msg;

	int						attr;
	int						(*func)(int,EVTSBJ_T *);
	void					*ptr;
} DLGLSTMNU_T;

typedef	struct
{
	int			attr;
	MOSTKP_T	*mosTk;
	EVT_T		*evt;
	EVT_T		*selEvt;
	SBAR_T		*sbV;
	SBAR_T		*sbH;
	char		*title;
	char		*guideMsg;

	FRAME		fr;
	int			fntX ,fntY;
	int			hX, hY;
	int			dspTopX, dspTopY;
	int			dspXn, dspYn;

	int			canEvtNo;			/* CxgLZp	*/
	int			endEvtNo;			/* LZp			*/
	int			selNo;				/* I𒆂̔ԍ			*/

	int			selN;
	int			objN;
	DLGLSTOBJ_T	*obj;

	int			mnuN;		/* j[̍ڐ	*/
	DLGLSTMNU_T	*mnuTop;

	COLOR		colTbl[32];
} DLGLST_T;

#define	DLGLST_COLTBAC(dlgLst)	((dlgLst)->colTbl[0])
#define	DLGLST_COLTSTR(dlgLst)	((dlgLst)->colTbl[1])
#define	DLGLST_COLTHIL(dlgLst)	((dlgLst)->colTbl[2])
#define	DLGLST_COLTSHA(dlgLst)	((dlgLst)->colTbl[3])

#define	DLGLST_COLWBAC(dlgLst)	((dlgLst)->colTbl[4])
#define	DLGLST_COLWSTR(dlgLst)	((dlgLst)->colTbl[5])
#define	DLGLST_COLWHIL(dlgLst)	((dlgLst)->colTbl[6])
#define	DLGLST_COLWSHA(dlgLst)	((dlgLst)->colTbl[7])

#define	DLGLST_COLSBAC(dlgLst)	((dlgLst)->colTbl[8])
#define	DLGLST_COLSSTR(dlgLst)	((dlgLst)->colTbl[9])
#define	DLGLST_COLSHIL(dlgLst)	((dlgLst)->colTbl[10])
#define	DLGLST_COLSSHA(dlgLst)	((dlgLst)->colTbl[11])

#define	DLGLST_COLBBAC(dlgLst)	((dlgLst)->colTbl[12])
#define	DLGLST_COLBSTR(dlgLst)	((dlgLst)->colTbl[13])
#define	DLGLST_COLBHIL(dlgLst)	((dlgLst)->colTbl[14])
#define	DLGLST_COLBSHA(dlgLst)	((dlgLst)->colTbl[15])

#if	0
/*	ݒp}N	*/
#define	DLGLST_SETSEL_TYP(_obj,_objPos,_selPos,_typ)		_obj[_objPos].sel[_selPos].typ = (_typ)
#define	DLGLST_SETSEL_EVTATT(_obj,_objPos,_selPos,_eatt)	_obj[_objPos].sel[_selPos].eatt = (_eatt)
#define	DLGLST_SETSEL_MSGATT(_obj,_objPos,_selPos,_matt)	_obj[_objPos].sel[_selPos].matt = (_matt)
#define	DLGLST_SETSEL_BTNATT(_obj,_objPos,_selPos,_batt)	_obj[_objPos].sel[_selPos].matt = (_batt)
#define	DLGLST_SETSEL_FIELD(_obj,_objPos,_selPos,_flen)		_obj[_objPos].sel[_selPos].flen = (_flen)
#define	DLGLST_SETSEL_EVT(_obj,_attr,_objPos,_selPos,_evtNo,_func,_ptr)	{	\
	_obj[_objPos].sel[_selPos].attr  = (_attr);								\
	_obj[_objPos].sel[_selPos].evtNo = (_evtNo);							\
	_obj[_objPos].sel[_selPos].func  = (_func);								\
	_obj[_objPos].sel[_selPos].ptr   = (_ptr);								\
}
#endif

#endif
